Subject: RE: 1.1.23: configure doesn't find header files when it looks for them; builds fail
From: "Vincent Sacksteder" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 18 Mar 2003 16:07:33 +0100

Thanks, Igor.  configure did accept the verbose option, but didn't seem to
do anything different.  I ended up playing with the scripts to see what
happened.

It seems to me after further examination like the mono problem is mono's
fault.

Regards,
	Vincent

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: Monday, March 17, 2003 5:46 PM
To: Vincent Sacksteder
Cc: [email-masked]
Subject: Re: 1.1.23: configure doesn't find header files when it looks
for them; builds fail

On Mon, 17 Mar 2003, Vincent Sacksteder wrote:

> Dear cygwin community:
>
>         Thank you for providing this software.  It's been a huge help to
me
> already.
>
>         In the last couple of days I've tried to download and build a
couple of
> projects, and ran into problems with configure:
>         -When compiling ddd, configure checks whether streampos is
defined, and if
> it is not defined then the ddd header files #define streampos.  However,
> configure incorrectly did not find streampos in the legacy gcc libraries,
> and therefore defined it, resulting in a compile error stating basically
> that streampos had been defined twice.  So I had to comment out the
> definition myself.
>         -When compiling mono, there are checks for the presence of gc.h.
These
> fail (even though gc.h has already been installed as part of the script,
and
> gc.h is in fact present), and therefore the compile fails.  It looks to me
> like this problem has been seen by other mono users, as the build/install
> readme for mono says that install failures have been seen@this stage and
> discusses how to do the install manually.
>
>         Is this a known bug, or can anybody suggest a fix?
>
> More data:
>         From mono's config.log file,  configure ran gcc:
> configure:6530:
>
gcc -mno-cygwin -E  -I/home/install/include -DGC_WIN32_THREADS -DWIN32_THREA
> DS conftest.c >/dev/null 2>conftest.out
>
> for ddd, here's the script:
> AC_MSG_CHECKING(for streampos)
> changequote([,])dnl
> AC_CACHE_VAL(ice_cv_have_streampos,
> [
> AC_LANG_SAVE
> AC_LANG_CPLUSPLUS
> AC_TRY_COMPILE([#include <iostream.h>],
> [streampos scan_start;],
> ice_cv_have_streampos=yes,
> ice_cv_have_streampos=no)
> AC_LANG_RESTORE
> ])
> AC_MSG_RESULT($ice_cv_have_streampos)
> if test "$ice_cv_have_streampos" = yes; then
> AC_DEFINE(HAVE_STREAMPOS)
> fi
> ])dnl
>
>         Unfortunately it appears that conftest.c is generated and deleted
> dynamically, so I guess one would need to look in configure's source code
to
> see how to create a conftest.c and then test it out.
>
> Attached fiind the result of cygcheck:
>
>         Thanks,
>                 Vincent Sacksteder
>
> ----------------------
> AC_CHECK_HEADERS

Vincent,

config.log should also contain the failed program itself.  Try passing a
--verbose option to configure.
	Igor
--
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
  -- /usr/games/fortune

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/